package com.njcn.pojo.commons.runmanage;

/**
 * @author hongawen
 * @Date: 2018/8/3 10:22
 */
public class IntergralityTable  extends  OnlineRateData{

    private String voltage;

    private String lineName;

    private Long lineId;

    private String integrity;

    private String devFlag;

    private String status;

    private String updateTime;

    private String devType;

    private Integer devId;

    //所属前置机
    private String  frontDev;

    public Integer getDevId() {
        return devId;
    }

    public void setDevId(Integer devId) {
        this.devId = devId;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getDevFlag() {
        return devFlag;
    }

    public void setDevFlag(String devFlag) {
        this.devFlag = devFlag;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getIntegrity() {
        return integrity;
    }

    public void setIntegrity(String integrity) {
        this.integrity = integrity;
    }

    public String getVoltage() {
        return voltage;
    }

    public void setVoltage(String voltage) {
        this.voltage = voltage;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public Long getLineId() {
        return lineId;
    }

    public void setLineId(Long lineId) {
        this.lineId = lineId;
    }

    public String getFrontDev() {
        return frontDev;
    }

    public void setFrontDev(String frontDev) {
        this.frontDev = frontDev;
    }

    @Override
    public String toString() {
        return "IntergralityTable{" +
                "voltage='" + voltage + '\'' +
                ", lineName='" + lineName + '\'' +
                ", lineId=" + lineId +
                ", integrity='" + integrity + '\'' +
                ", devFlag='" + devFlag + '\'' +
                ", status='" + status + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", devType='" + devType + '\'' +
                ", devId=" + devId +
                ", frontDev='" + frontDev + '\'' +
                '}';
    }
}
